%------------------------------------------------------------------------------
% File     : ARI119=1 : TPTP v6.3.0. Released v5.0.0.
% Domain   : Arithmetic
% Problem  : Integer: Product of 4 and 4 is 16
% Version  : Especial.
% English  :

% Refs     :
% Source   : [TPTP]
% Names    :

% Status   : Theorem
% Rating   : 0.00 v6.3.0, 0.14 v6.2.0, 0.12 v6.1.0, 0.11 v6.0.0, 0.00 v5.5.0, 0.11 v5.4.0, 0.25 v5.3.0, 0.30 v5.2.0, 0.33 v5.1.0, 0.20 v5.0.0
% Syntax   : Number of formulae    :    1 (   0 unit;   0 type)
%            Number of atoms       :    3 (   3 equality)
%            Maximal formula depth :    5 (   5 average)
%            Number of connectives :    2 (   0   ~;   0   |;   2   &)
%                                         (   0 <=>;   0  =>;   0  <=;   0 <~>)
%                                         (   0  ~|;   0  ~&)
%            Number of type conns  :    0 (   0   >;   0   *;   0   +;   0  <<)
%            Number of predicates  :    2 (   1 propositional; 0-2 arity)
%            Number of functors    :    3 (   2 constant; 0-2 arity)
%            Number of variables   :    2 (   0 sgn;   0   !;   2   ?)
%            Maximal term depth    :    2 (   1 average)
%            Arithmetic symbols    :    4 (   1 pred;    1 func;    2 numbers)
% SPC      : TF0_THM_EQU_ARI

% Comments :
%------------------------------------------------------------------------------
tff(product_4_4_16,conjecture,(
    ? [X: $int,Y: $int] : 
      ( $product(X,Y) = 16
      & X = 4
      & Y = 4 ) )).
%------------------------------------------------------------------------------
