tff('Array', type, 'Array[Int,Int]': $tType).

tff(select, type, 'select:(Array[Int,Int]*Int)>Int': ('Array[Int,Int]' * $int) > $int).
tff(store, type, 'store:(Array[Int,Int]*Int*Int)>Array[Int,Int]': ('Array[Int,Int]' * $int * $int) > 'Array[Int,Int]').
tff(const, type, 'const:(Int)>Array[Int,Int]': $int > 'Array[Int,Int]').

%% ∀ a:Array[Int, Int] i:Int e:Int ((a[i] ← e)[i] = e)
tff(formula, axiom,
  ( ! [A:'Array[Int,Int]', I:$int, E:$int] :
      ('select:(Array[Int,Int]*Int)>Int'('store:(Array[Int,Int]*Int*Int)>Array[Int,Int]'(A, I, E), I) = E))).

%% ∀ a:Array[Int, Int] i:Int j:Int e:Int ((i ≠ j) ⇒ ((a[i] ← e)[j] = a[j]))
tff(formula, axiom,
  ( ! [A:'Array[Int,Int]', I:$int, J:$int, E:$int] :
      ( (I != J)
     => ('select:(Array[Int,Int]*Int)>Int'('store:(Array[Int,Int]*Int*Int)>Array[Int,Int]'(A, I, E), J) = 'select:(Array[Int,Int]*Int)>Int'(A, J))))).

%% ∀ a:Array[Int, Int] b:Array[Int, Int] (∀ i:Int (a[i] = b[i]) ⇒ (a = b))
tff(formula, axiom,
  ( ! [A:'Array[Int,Int]', B:'Array[Int,Int]'] :
      ( ( ! [I:$int] :
	    ('select:(Array[Int,Int]*Int)>Int'(A, I) = 'select:(Array[Int,Int]*Int)>Int'(B, I)))
     => (A = B)))).

%% ∀ i:Int e:Int (const:Array[Int, Int](e)[i] = e)
tff(formula, axiom,
  ( ! [I:$int, E:$int] :
      ('select:(Array[Int,Int]*Int)>Int'('const:(Int)>Array[Int,Int]'(E), I) = E))).

